QGIS Application - Bug report #11041
import mapinfo file generate invalid geometrie
2014-08-12 02:44 AM - didier didier2020

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:2.0.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: up/downstream
Crashes QGIS or corrupls data: Copied to github as #: 19380
Description

hi,

when import coucou4.mif with qgis, geom is invalid
when import coucou5.mif with qgis, geom is valid.

the first file describe a closed polygon :

"you do not need to "close" a polygon. The last point in the polygon automatically attaches to the first point in a polygon with a line
segment”

http://reference.mapinfo.com/software/spatial _server/english/1_0/onprem/apiguide/LIM/source/UserDefinedSpatialDatabases/mapinfo

ifmidformat.html

History

#1 - 2014-08-15 06:24 AM - Jukka Rahkonen

Hi,

The mid/mif reference looks reliable and | can reproduce the error with GDAL 2.0-dev

ogrinfo coucou4.mif
POLYGON ((1176338.28 1620790.5,1176537.35 1620810.06,1176517.82 1621010.79,1176318.75 1620991.22))

Could you file a GDAL ticket about this at http:/trac.osgeo.org/gdal/?

#2 - 2014-08-15 07:05 AM - didier didier2020

done :
http://trac.osgeo.org/gdal/ticket/5614

#3 - 2014-08-21 01:54 AM - didier didier2020
- % Done changed from 0 to 50

it's fixed with gdal :
http://trac.osgeo.org/gdal/ticket/5614

#4 - 2014-10-04 09:39 AM - Giovanni Manghi
- Resolution set to up/downstream

- Status changed from Open to Closed

Files

coucou4.mid 4 Bytes 2014-08-12 didier didier2020

coucou4.mif 378 Bytes 2014-08-12 didier didier2020

coucoub.mid 4 Bytes 2014-08-12 didier didier2020

coucoub.mif 400 Bytes 2014-08-12 didier didier2020
